Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network56.167.76.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
56.167.76.0
Broadcast address
56.167.79.255
First usable
56.167.76.1
Last usable
56.167.79.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 38A74C00 · Integer 950488064 to 950489087
Reverse DNS zones
76.167.56.in-addr.arpa
77.167.56.in-addr.arpa
78.167.56.in-addr.arpa
79.167.56.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111000.10100111.01001100.0000000056.167.76.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00111000.10100111.01001100.0000000056.167.76.0
Broadcast00111000.10100111.01001111.1111111156.167.79.255
Split into smaller subnets/31

56.167.76.0/22 makes 512 subnets of /31; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
156.167.76.0/3156.167.76.0 to 56.167.76.1—2
256.167.76.2/3156.167.76.2 to 56.167.76.3—2
356.167.76.4/3156.167.76.4 to 56.167.76.5—2
456.167.76.6/3156.167.76.6 to 56.167.76.7—2
556.167.76.8/3156.167.76.8 to 56.167.76.9—2
656.167.76.10/3156.167.76.10 to 56.167.76.11—2
756.167.76.12/3156.167.76.12 to 56.167.76.13—2
856.167.76.14/3156.167.76.14 to 56.167.76.15—2
956.167.76.16/3156.167.76.16 to 56.167.76.17—2
1056.167.76.18/3156.167.76.18 to 56.167.76.19—2
1156.167.76.20/3156.167.76.20 to 56.167.76.21—2
1256.167.76.22/3156.167.76.22 to 56.167.76.23—2
1356.167.76.24/3156.167.76.24 to 56.167.76.25—2
1456.167.76.26/3156.167.76.26 to 56.167.76.27—2
1556.167.76.28/3156.167.76.28 to 56.167.76.29—2
1656.167.76.30/3156.167.76.30 to 56.167.76.31—2
1756.167.76.32/3156.167.76.32 to 56.167.76.33—2
1856.167.76.34/3156.167.76.34 to 56.167.76.35—2
1956.167.76.36/3156.167.76.36 to 56.167.76.37—2
2056.167.76.38/3156.167.76.38 to 56.167.76.39—2
2156.167.76.40/3156.167.76.40 to 56.167.76.41—2
2256.167.76.42/3156.167.76.42 to 56.167.76.43—2
2356.167.76.44/3156.167.76.44 to 56.167.76.45—2
2456.167.76.46/3156.167.76.46 to 56.167.76.47—2
2556.167.76.48/3156.167.76.48 to 56.167.76.49—2
2656.167.76.50/3156.167.76.50 to 56.167.76.51—2
2756.167.76.52/3156.167.76.52 to 56.167.76.53—2
2856.167.76.54/3156.167.76.54 to 56.167.76.55—2
2956.167.76.56/3156.167.76.56 to 56.167.76.57—2
3056.167.76.58/3156.167.76.58 to 56.167.76.59—2
3156.167.76.60/3156.167.76.60 to 56.167.76.61—2
3256.167.76.62/3156.167.76.62 to 56.167.76.63—2
3356.167.76.64/3156.167.76.64 to 56.167.76.65—2
3456.167.76.66/3156.167.76.66 to 56.167.76.67—2
3556.167.76.68/3156.167.76.68 to 56.167.76.69—2
3656.167.76.70/3156.167.76.70 to 56.167.76.71—2
3756.167.76.72/3156.167.76.72 to 56.167.76.73—2
3856.167.76.74/3156.167.76.74 to 56.167.76.75—2
3956.167.76.76/3156.167.76.76 to 56.167.76.77—2
4056.167.76.78/3156.167.76.78 to 56.167.76.79—2
4156.167.76.80/3156.167.76.80 to 56.167.76.81—2
4256.167.76.82/3156.167.76.82 to 56.167.76.83—2
4356.167.76.84/3156.167.76.84 to 56.167.76.85—2
4456.167.76.86/3156.167.76.86 to 56.167.76.87—2
4556.167.76.88/3156.167.76.88 to 56.167.76.89—2
4656.167.76.90/3156.167.76.90 to 56.167.76.91—2
4756.167.76.92/3156.167.76.92 to 56.167.76.93—2
4856.167.76.94/3156.167.76.94 to 56.167.76.95—2
4956.167.76.96/3156.167.76.96 to 56.167.76.97—2
5056.167.76.98/3156.167.76.98 to 56.167.76.99—2
5156.167.76.100/3156.167.76.100 to 56.167.76.101—2
5256.167.76.102/3156.167.76.102 to 56.167.76.103—2
5356.167.76.104/3156.167.76.104 to 56.167.76.105—2
5456.167.76.106/3156.167.76.106 to 56.167.76.107—2
5556.167.76.108/3156.167.76.108 to 56.167.76.109—2
5656.167.76.110/3156.167.76.110 to 56.167.76.111—2
5756.167.76.112/3156.167.76.112 to 56.167.76.113—2
5856.167.76.114/3156.167.76.114 to 56.167.76.115—2
5956.167.76.116/3156.167.76.116 to 56.167.76.117—2
6056.167.76.118/3156.167.76.118 to 56.167.76.119—2
6156.167.76.120/3156.167.76.120 to 56.167.76.121—2
6256.167.76.122/3156.167.76.122 to 56.167.76.123—2
6356.167.76.124/3156.167.76.124 to 56.167.76.125—2
6456.167.76.126/3156.167.76.126 to 56.167.76.127—2
6556.167.76.128/3156.167.76.128 to 56.167.76.129—2
6656.167.76.130/3156.167.76.130 to 56.167.76.131—2
6756.167.76.132/3156.167.76.132 to 56.167.76.133—2
6856.167.76.134/3156.167.76.134 to 56.167.76.135—2
6956.167.76.136/3156.167.76.136 to 56.167.76.137—2
7056.167.76.138/3156.167.76.138 to 56.167.76.139—2
7156.167.76.140/3156.167.76.140 to 56.167.76.141—2
7256.167.76.142/3156.167.76.142 to 56.167.76.143—2
7356.167.76.144/3156.167.76.144 to 56.167.76.145—2
7456.167.76.146/3156.167.76.146 to 56.167.76.147—2
7556.167.76.148/3156.167.76.148 to 56.167.76.149—2
7656.167.76.150/3156.167.76.150 to 56.167.76.151—2
7756.167.76.152/3156.167.76.152 to 56.167.76.153—2
7856.167.76.154/3156.167.76.154 to 56.167.76.155—2
7956.167.76.156/3156.167.76.156 to 56.167.76.157—2
8056.167.76.158/3156.167.76.158 to 56.167.76.159—2
8156.167.76.160/3156.167.76.160 to 56.167.76.161—2
8256.167.76.162/3156.167.76.162 to 56.167.76.163—2
8356.167.76.164/3156.167.76.164 to 56.167.76.165—2
8456.167.76.166/3156.167.76.166 to 56.167.76.167—2
8556.167.76.168/3156.167.76.168 to 56.167.76.169—2
8656.167.76.170/3156.167.76.170 to 56.167.76.171—2
8756.167.76.172/3156.167.76.172 to 56.167.76.173—2
8856.167.76.174/3156.167.76.174 to 56.167.76.175—2
8956.167.76.176/3156.167.76.176 to 56.167.76.177—2
9056.167.76.178/3156.167.76.178 to 56.167.76.179—2
9156.167.76.180/3156.167.76.180 to 56.167.76.181—2
9256.167.76.182/3156.167.76.182 to 56.167.76.183—2
9356.167.76.184/3156.167.76.184 to 56.167.76.185—2
9456.167.76.186/3156.167.76.186 to 56.167.76.187—2
9556.167.76.188/3156.167.76.188 to 56.167.76.189—2
9656.167.76.190/3156.167.76.190 to 56.167.76.191—2
9756.167.76.192/3156.167.76.192 to 56.167.76.193—2
9856.167.76.194/3156.167.76.194 to 56.167.76.195—2
9956.167.76.196/3156.167.76.196 to 56.167.76.197—2
10056.167.76.198/3156.167.76.198 to 56.167.76.199—2
10156.167.76.200/3156.167.76.200 to 56.167.76.201—2
10256.167.76.202/3156.167.76.202 to 56.167.76.203—2
10356.167.76.204/3156.167.76.204 to 56.167.76.205—2
10456.167.76.206/3156.167.76.206 to 56.167.76.207—2
10556.167.76.208/3156.167.76.208 to 56.167.76.209—2
10656.167.76.210/3156.167.76.210 to 56.167.76.211—2
10756.167.76.212/3156.167.76.212 to 56.167.76.213—2
10856.167.76.214/3156.167.76.214 to 56.167.76.215—2
10956.167.76.216/3156.167.76.216 to 56.167.76.217—2
11056.167.76.218/3156.167.76.218 to 56.167.76.219—2
11156.167.76.220/3156.167.76.220 to 56.167.76.221—2
11256.167.76.222/3156.167.76.222 to 56.167.76.223—2
11356.167.76.224/3156.167.76.224 to 56.167.76.225—2
11456.167.76.226/3156.167.76.226 to 56.167.76.227—2
11556.167.76.228/3156.167.76.228 to 56.167.76.229—2
11656.167.76.230/3156.167.76.230 to 56.167.76.231—2
11756.167.76.232/3156.167.76.232 to 56.167.76.233—2
11856.167.76.234/3156.167.76.234 to 56.167.76.235—2
11956.167.76.236/3156.167.76.236 to 56.167.76.237—2
12056.167.76.238/3156.167.76.238 to 56.167.76.239—2
12156.167.76.240/3156.167.76.240 to 56.167.76.241—2
12256.167.76.242/3156.167.76.242 to 56.167.76.243—2
12356.167.76.244/3156.167.76.244 to 56.167.76.245—2
12456.167.76.246/3156.167.76.246 to 56.167.76.247—2
12556.167.76.248/3156.167.76.248 to 56.167.76.249—2
12656.167.76.250/3156.167.76.250 to 56.167.76.251—2
12756.167.76.252/3156.167.76.252 to 56.167.76.253—2
12856.167.76.254/3156.167.76.254 to 56.167.76.255—2
12956.167.77.0/3156.167.77.0 to 56.167.77.1—2
13056.167.77.2/3156.167.77.2 to 56.167.77.3—2
13156.167.77.4/3156.167.77.4 to 56.167.77.5—2
13256.167.77.6/3156.167.77.6 to 56.167.77.7—2
13356.167.77.8/3156.167.77.8 to 56.167.77.9—2
13456.167.77.10/3156.167.77.10 to 56.167.77.11—2
13556.167.77.12/3156.167.77.12 to 56.167.77.13—2
13656.167.77.14/3156.167.77.14 to 56.167.77.15—2
13756.167.77.16/3156.167.77.16 to 56.167.77.17—2
13856.167.77.18/3156.167.77.18 to 56.167.77.19—2
13956.167.77.20/3156.167.77.20 to 56.167.77.21—2
14056.167.77.22/3156.167.77.22 to 56.167.77.23—2
14156.167.77.24/3156.167.77.24 to 56.167.77.25—2
14256.167.77.26/3156.167.77.26 to 56.167.77.27—2
14356.167.77.28/3156.167.77.28 to 56.167.77.29—2
14456.167.77.30/3156.167.77.30 to 56.167.77.31—2
14556.167.77.32/3156.167.77.32 to 56.167.77.33—2
14656.167.77.34/3156.167.77.34 to 56.167.77.35—2
14756.167.77.36/3156.167.77.36 to 56.167.77.37—2
14856.167.77.38/3156.167.77.38 to 56.167.77.39—2
14956.167.77.40/3156.167.77.40 to 56.167.77.41—2
15056.167.77.42/3156.167.77.42 to 56.167.77.43—2
15156.167.77.44/3156.167.77.44 to 56.167.77.45—2
15256.167.77.46/3156.167.77.46 to 56.167.77.47—2
15356.167.77.48/3156.167.77.48 to 56.167.77.49—2
15456.167.77.50/3156.167.77.50 to 56.167.77.51—2
15556.167.77.52/3156.167.77.52 to 56.167.77.53—2
15656.167.77.54/3156.167.77.54 to 56.167.77.55—2
15756.167.77.56/3156.167.77.56 to 56.167.77.57—2
15856.167.77.58/3156.167.77.58 to 56.167.77.59—2
15956.167.77.60/3156.167.77.60 to 56.167.77.61—2
16056.167.77.62/3156.167.77.62 to 56.167.77.63—2
16156.167.77.64/3156.167.77.64 to 56.167.77.65—2
16256.167.77.66/3156.167.77.66 to 56.167.77.67—2
16356.167.77.68/3156.167.77.68 to 56.167.77.69—2
16456.167.77.70/3156.167.77.70 to 56.167.77.71—2
16556.167.77.72/3156.167.77.72 to 56.167.77.73—2
16656.167.77.74/3156.167.77.74 to 56.167.77.75—2
16756.167.77.76/3156.167.77.76 to 56.167.77.77—2
16856.167.77.78/3156.167.77.78 to 56.167.77.79—2
16956.167.77.80/3156.167.77.80 to 56.167.77.81—2
17056.167.77.82/3156.167.77.82 to 56.167.77.83—2
17156.167.77.84/3156.167.77.84 to 56.167.77.85—2
17256.167.77.86/3156.167.77.86 to 56.167.77.87—2
17356.167.77.88/3156.167.77.88 to 56.167.77.89—2
17456.167.77.90/3156.167.77.90 to 56.167.77.91—2
17556.167.77.92/3156.167.77.92 to 56.167.77.93—2
17656.167.77.94/3156.167.77.94 to 56.167.77.95—2
17756.167.77.96/3156.167.77.96 to 56.167.77.97—2
17856.167.77.98/3156.167.77.98 to 56.167.77.99—2
17956.167.77.100/3156.167.77.100 to 56.167.77.101—2
18056.167.77.102/3156.167.77.102 to 56.167.77.103—2
18156.167.77.104/3156.167.77.104 to 56.167.77.105—2
18256.167.77.106/3156.167.77.106 to 56.167.77.107—2
18356.167.77.108/3156.167.77.108 to 56.167.77.109—2
18456.167.77.110/3156.167.77.110 to 56.167.77.111—2
18556.167.77.112/3156.167.77.112 to 56.167.77.113—2
18656.167.77.114/3156.167.77.114 to 56.167.77.115—2
18756.167.77.116/3156.167.77.116 to 56.167.77.117—2
18856.167.77.118/3156.167.77.118 to 56.167.77.119—2
18956.167.77.120/3156.167.77.120 to 56.167.77.121—2
19056.167.77.122/3156.167.77.122 to 56.167.77.123—2
19156.167.77.124/3156.167.77.124 to 56.167.77.125—2
19256.167.77.126/3156.167.77.126 to 56.167.77.127—2
19356.167.77.128/3156.167.77.128 to 56.167.77.129—2
19456.167.77.130/3156.167.77.130 to 56.167.77.131—2
19556.167.77.132/3156.167.77.132 to 56.167.77.133—2
19656.167.77.134/3156.167.77.134 to 56.167.77.135—2
19756.167.77.136/3156.167.77.136 to 56.167.77.137—2
19856.167.77.138/3156.167.77.138 to 56.167.77.139—2
19956.167.77.140/3156.167.77.140 to 56.167.77.141—2
20056.167.77.142/3156.167.77.142 to 56.167.77.143—2
20156.167.77.144/3156.167.77.144 to 56.167.77.145—2
20256.167.77.146/3156.167.77.146 to 56.167.77.147—2
20356.167.77.148/3156.167.77.148 to 56.167.77.149—2
20456.167.77.150/3156.167.77.150 to 56.167.77.151—2
20556.167.77.152/3156.167.77.152 to 56.167.77.153—2
20656.167.77.154/3156.167.77.154 to 56.167.77.155—2
20756.167.77.156/3156.167.77.156 to 56.167.77.157—2
20856.167.77.158/3156.167.77.158 to 56.167.77.159—2
20956.167.77.160/3156.167.77.160 to 56.167.77.161—2
21056.167.77.162/3156.167.77.162 to 56.167.77.163—2
21156.167.77.164/3156.167.77.164 to 56.167.77.165—2
21256.167.77.166/3156.167.77.166 to 56.167.77.167—2
21356.167.77.168/3156.167.77.168 to 56.167.77.169—2
21456.167.77.170/3156.167.77.170 to 56.167.77.171—2
21556.167.77.172/3156.167.77.172 to 56.167.77.173—2
21656.167.77.174/3156.167.77.174 to 56.167.77.175—2
21756.167.77.176/3156.167.77.176 to 56.167.77.177—2
21856.167.77.178/3156.167.77.178 to 56.167.77.179—2
21956.167.77.180/3156.167.77.180 to 56.167.77.181—2
22056.167.77.182/3156.167.77.182 to 56.167.77.183—2
22156.167.77.184/3156.167.77.184 to 56.167.77.185—2
22256.167.77.186/3156.167.77.186 to 56.167.77.187—2
22356.167.77.188/3156.167.77.188 to 56.167.77.189—2
22456.167.77.190/3156.167.77.190 to 56.167.77.191—2
22556.167.77.192/3156.167.77.192 to 56.167.77.193—2
22656.167.77.194/3156.167.77.194 to 56.167.77.195—2
22756.167.77.196/3156.167.77.196 to 56.167.77.197—2
22856.167.77.198/3156.167.77.198 to 56.167.77.199—2
22956.167.77.200/3156.167.77.200 to 56.167.77.201—2
23056.167.77.202/3156.167.77.202 to 56.167.77.203—2
23156.167.77.204/3156.167.77.204 to 56.167.77.205—2
23256.167.77.206/3156.167.77.206 to 56.167.77.207—2
23356.167.77.208/3156.167.77.208 to 56.167.77.209—2
23456.167.77.210/3156.167.77.210 to 56.167.77.211—2
23556.167.77.212/3156.167.77.212 to 56.167.77.213—2
23656.167.77.214/3156.167.77.214 to 56.167.77.215—2
23756.167.77.216/3156.167.77.216 to 56.167.77.217—2
23856.167.77.218/3156.167.77.218 to 56.167.77.219—2
23956.167.77.220/3156.167.77.220 to 56.167.77.221—2
24056.167.77.222/3156.167.77.222 to 56.167.77.223—2
24156.167.77.224/3156.167.77.224 to 56.167.77.225—2
24256.167.77.226/3156.167.77.226 to 56.167.77.227—2
24356.167.77.228/3156.167.77.228 to 56.167.77.229—2
24456.167.77.230/3156.167.77.230 to 56.167.77.231—2
24556.167.77.232/3156.167.77.232 to 56.167.77.233—2
24656.167.77.234/3156.167.77.234 to 56.167.77.235—2
24756.167.77.236/3156.167.77.236 to 56.167.77.237—2
24856.167.77.238/3156.167.77.238 to 56.167.77.239—2
24956.167.77.240/3156.167.77.240 to 56.167.77.241—2
25056.167.77.242/3156.167.77.242 to 56.167.77.243—2
25156.167.77.244/3156.167.77.244 to 56.167.77.245—2
25256.167.77.246/3156.167.77.246 to 56.167.77.247—2
25356.167.77.248/3156.167.77.248 to 56.167.77.249—2
25456.167.77.250/3156.167.77.250 to 56.167.77.251—2
25556.167.77.252/3156.167.77.252 to 56.167.77.253—2
25656.167.77.254/3156.167.77.254 to 56.167.77.255—2

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses